package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

/**
 * @author hongzq
 */
public class PlaceOrderReq implements Serializable {

    @NotBlank
    private String orderId;

    @Valid
    @NotEmpty
    private List<TraderOrderDetailReq> details;

    /**
     * 出货仓库id
     */
    @NotBlank
    private String warehouseId;

    /**
     * 下单备注
     */
    private String orderRemark;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public List<TraderOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<TraderOrderDetailReq> details) {
        this.details = details;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }
}
